# class KMimeMagicResult | Returned by KMimeMagic `find`. More...
Definition | `#include <kmimemagic.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KMimeMagicResult ()
- ~KMimeMagicResult ()
- const QString mimeType ()
- const QString encoding ()
- int accuracy ()
- bool isValid ()
- void setMimeType ( const QString& _mime )
- void setEncoding ( const QString& _encoding)
- void setAccuracy ( int _accuracy )
- void setInvalid ()

#### Protected Members

- QString m_strEncoding
- QString m_strMimeType
- int m_iAccuracy

## Detailed Description

Returned by KMimeMagic `find`...Type methods.

It contains the mimetype and the encoding of the file or buffer read.

KMimeMagicResult () | ### KMimeMagicResult

~KMimeMagicResult () | ### ~KMimeMagicResult

const QString mimeType () | ### mimeType

Retrieve the mimetype (e.g. "text/html") of the file or buffer parsed.

const QString encoding () | ### encoding

Retrieve the encoding (e.g. "8bit", see 'magic' file) of the file or buffer parsed.

int accuracy () | ### accuracy

Retrievee the accuracy of the matching.

bool isValid () | ### isValid

Returns whether the result is valid (i.e. mimetype not empty).

void setMimeType ( const QString& _mime ) | ### setMimeType

void setEncoding ( const QString& _encoding) | ### setEncoding

void setAccuracy ( int _accuracy ) | ### setAccuracy

void setInvalid () | ### setInvalid

QString m_strEncoding | ### m_strEncoding

[protected]

QString m_strMimeType | ### m_strMimeType

[protected]

int m_iAccuracy | ### m_iAccuracy

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.